QGIS Application - Bug report #15471
Hide all column in attribute table: colmun can't be displayed back
2016-08-21 09:32 AM - Yves Jacolin

Status: Open

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.4.4 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23397
Description

With the following commit [1] user can hide columns right-clicking in the header. But if the user hide all column (if there is only one column
or if all column are hidden), user can't switch back the hidden column as he needs to right-click in the table header to choose the
'Organize columns' entry in the contextual menu but the table header disappears when there is no column to display.

Solution:
1. keep the header empty to allow user to right-click on it
2. allow user to hide/display columns from the Fields tab in the layer properties.

Y.
[1] https://github.com/qgis/QGIS-Documentation/issues/1111

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#2 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.

#3 - 2019-04-10 12:55 PM - Heikki Vesanto

This is still an issue in 3.4.4. If you hide all the columns you can't right click a column header to bring up the "Organize Columns..." dialog. There should
probably be a button to open it.

#4 - 2019-04-10 05:09 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Description updated

- Status changed from Closed to Open

- Assignee deleted (Nyall Dawson)

- Affected QGIS version changed from 2.16.0 to 3.4.4
